Package be.vlaanderen.mercurius.mohm.common.v7

# Class ApplicationBTCType

java.lang.Object
be.vlaanderen.mercurius.mohm.common.v7.ApplicationBTCType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:48+02:00", comments="JAXB RI v4.0.5") public class ApplicationBTCType extends Object implements Serializable
Generiek type voor BTC.

Java class for ApplicationBTCType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ApplicationBTCType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="HasBTCAsked" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="EstimateDocument" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}EstimateDocumentType" minOccurs="0"/>
             <element name="BTCAdditionalAllowance" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}ApplicationBTCAdditionalAllowanceType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ApplicationBTCType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<ApplicationBTCAdditionalAllowanceType>`
  `getBTCAdditionalAllowances()`
  Element voor het aanvragen van één of meerdere BTC bijkomende tegemoetkomingen.
  `EstimateDocumentType`
  `getEstimateDocument()`
  Ingescande versie van het bestek.
  `boolean`
  `isHasBTCAsked()`
  Ja/neen veld om aan te geven of de procedure BTC moet worden toegepast.
  `void`
  `setEstimateDocument(EstimateDocumentType value)`
  Sets the value of the estimateDocument property.
  `void`
  `setHasBTCAsked(boolean value)`
  Sets the value of the hasBTCAsked property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ApplicationBTCType

    public ApplicationBTCType()

- ## Method Details

  - ### isHasBTCAsked

    public boolean isHasBTCAsked()
    Ja/neen veld om aan te geven of de procedure BTC moet worden toegepast. Dit veld is verplicht in het element BTC en moet op ja worden gezet indien er op basis van de prestatiecode niet kan worden bepaald of de aanvraag naar BTC moet gaan. Dit is bijvoorbeeld het geval als er voor een SDA een mobiliteitshulpmiddel wordt aangekocht dat ook kan worden gehuurd.

  - ### setHasBTCAsked

    public void setHasBTCAsked(boolean value)
    Sets the value of the hasBTCAsked property.

  - ### getEstimateDocument

    public EstimateDocumentType getEstimateDocument()
    Ingescande versie van het bestek. Een bestek is altijd verplicht als de procedure BTC moet worden toegepast, ongeacht om welk type BTC het gaat. Kan uit meerdere documenten bestaan.
    Returns:
      possible object is `EstimateDocumentType`

  - ### setEstimateDocument

    public void setEstimateDocument(EstimateDocumentType value)
    Sets the value of the estimateDocument property.
    Parameters:
      `value` - allowed object is `EstimateDocumentType`
    See Also:
      - `getEstimateDocument()`

  - ### getBTCAdditionalAllowances

    public List<ApplicationBTCAdditionalAllowanceType> getBTCAdditionalAllowances()
    Element voor het aanvragen van één of meerdere BTC bijkomende tegemoetkomingen. Gets the value of the btcAdditionalAllowances property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the btcAdditionalAllowances property.

    For example, to add a new item, do as follows:

         getBTCAdditionalAllowances().add(newItem);

    Objects of the following type(s) are allowed in the list `ApplicationBTCAdditionalAllowanceType`

    Returns:
      The value of the btcAdditionalAllowances property.